try:
    from setuptools import setup, find_packages
except ImportError:
    from distutils.core import setup, find_packages

with open('requirements.txt') as fin:
    requirements = fin.read()


def readme():
    with open('README.md') as f:
        return f.read()


setup(name='elastic_paribhasha',
      packages=find_packages(),
      version='0.0.2',
      description=
      'A package to abstract elastic definitions, indexes and queries',
      author='Pulkit Kumar',
      author_email='pulkit.kumar@elucidata.io',
      long_description=readme(),
      url='https://bitbucket.org/elucidatainc/elasticparibhasha',
      keywords=['elastic'],
      classifiers=[
          'Development Status :: Stable',
          'Intended Audience :: Elucidata Developers',
          'Programming Language :: Python :: 3.6.8',
          'Topic :: Elastic :: Abstraction Layer',
      ],
      install_requires=[
          requirements,
      ],
      include_package_data=True,
      zip_safe=False)
